LogoRecal
Rest apiEndpoints

List Calendars

GET
/v1/users/{userId}/calendar

List all Calendars of a user

AuthorizationBearer <token>

Recal API token

In: header

Path Parameters

userId*string
Match^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$

Query Parameters

provider?array<>|unknown|unknown

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/user_123/calendar"
{  "data": [    {      "id": "string",      "original": null,      "provider": "google",      "accessRole": "freeBusyReader",      "backgroundColor": "string",      "foregroundColor": "string",      "primary": true,      "selected": true,      "subject": "string",      "timeZone": "America/New_York"    }  ]}